path: /build/build/slack-bin-net-im-4.43.51.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-ayatana -gnome-keyring" emerge net-im/slack-bin -pv -t && \
    USE="-ayatana -gnome-keyring" emerge -j ${JOBS} --nodeps net-im/slack-bin
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/slack-bin && luet-portage --dir /pkgdir/slack-bin
    net-im/slack-bin && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:fa25053d8e1eacd11fbea1d7fb38d6bb80062aaf1888d34df7f531db56ec1990
  package:
    name: slack-bin
    version: 4.43.51
    category: net-im
    use_flags:
    - -ayatana
    - -gnome-keyring
    requires:
    - name: macaroni-funtoo-race17
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Team collaboration tool
    uri:
    - http://www.slack.com/
    license: all-rights-reserved
    buildtimestamp: 2025-05-30 09:55:08.137603834 +0000 UTC m=+224.294778432
    labels:
      IUSE: ayatana gnome-keyring pax_kernel abi_x86_64
      RDEPEND: dev-libs/atk:0[-mgorny(-)] dev-libs/expat:0[-mgorny(-)] dev-libs/glib:2[-mgorny(-)]
        dev-libs/nspr:0[-mgorny(-)] dev-libs/nss:0[-mgorny(-)] gnome-base/gconf:2[-mgorny(-)]
        media-libs/alsa-lib:0[-mgorny(-)] media-libs/fontconfig:1.0[-mgorny(-)] media-libs/freetype:2[-mgorny(-)]
        net-misc/curl:0[-mgorny(-)] net-print/cups:0[-mgorny(-)] sys-apps/dbus:0[-mgorny(-)]
        x11-libs/cairo:0[-mgorny(-)] x11-libs/gdk-pixbuf:2[-mgorny(-)] x11-libs/gtk+:3[-mgorny(-)]
        x11-libs/libX11:0[-mgorny(-)] x11-libs/libxcb:0/1.12[-mgorny(-)] x11-libs/libXcomposite:0[-mgorny(-)]
        x11-libs/libXcursor:0[-mgorny(-)] x11-libs/libXdamage:0[-mgorny(-)] x11-libs/libXext:0[-mgorny(-)]
        x11-libs/libXfixes:0[-mgorny(-)] x11-libs/libXi:0[-mgorny(-)] x11-libs/libxkbfile:0[-mgorny(-)]
        x11-libs/libXrandr:0[-mgorny(-)] x11-libs/libXrender:0[-mgorny(-)] x11-libs/libXScrnSaver:0[-mgorny(-)]
        x11-libs/libXtst:0[-mgorny(-)] x11-libs/pango:0[-mgorny(-)] ayatana? ( dev-libs/libappindicator:3[-mgorny(-)]
        ) gnome-keyring? ( app-crypt/libsecret )
      emerge.packages: net-im/slack-bin
      kit: desktop-kit
      original.package.name: net-im/slack-bin
      original.package.slot: "0"
      original.package.version: 4.43.51
    treedir: /build/packages
  package_dir: /pkgdir/slack-bin
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: a27a6a12f1f9b9357e543b8d93b70696319d855c2c7d6c1e5171d40a84597594
compressiontype: zstd
files:
- opt/slack/LICENSE
- opt/slack/LICENSES-linux.json
- opt/slack/chrome-sandbox
- opt/slack/chrome_100_percent.pak
- opt/slack/chrome_200_percent.pak
- opt/slack/chrome_crashpad_handler
- opt/slack/icudtl.dat
- opt/slack/libEGL.so
- opt/slack/libGLESv2.so
- opt/slack/libffmpeg.so
- opt/slack/libvk_swiftshader.so
- opt/slack/libvulkan.so.1
- opt/slack/locales/af.pak
- opt/slack/locales/am.pak
- opt/slack/locales/ar.pak
- opt/slack/locales/bg.pak
- opt/slack/locales/bn.pak
- opt/slack/locales/ca.pak
- opt/slack/locales/cs.pak
- opt/slack/locales/da.pak
- opt/slack/locales/de.pak
- opt/slack/locales/el.pak
- opt/slack/locales/en-GB.pak
- opt/slack/locales/en-US.pak
- opt/slack/locales/es-419.pak
- opt/slack/locales/es.pak
- opt/slack/locales/et.pak
- opt/slack/locales/fa.pak
- opt/slack/locales/fi.pak
- opt/slack/locales/fil.pak
- opt/slack/locales/fr.pak
- opt/slack/locales/gu.pak
- opt/slack/locales/he.pak
- opt/slack/locales/hi.pak
- opt/slack/locales/hr.pak
- opt/slack/locales/hu.pak
- opt/slack/locales/id.pak
- opt/slack/locales/it.pak
- opt/slack/locales/ja.pak
- opt/slack/locales/kn.pak
- opt/slack/locales/ko.pak
- opt/slack/locales/lt.pak
- opt/slack/locales/lv.pak
- opt/slack/locales/ml.pak
- opt/slack/locales/mr.pak
- opt/slack/locales/ms.pak
- opt/slack/locales/nb.pak
- opt/slack/locales/nl.pak
- opt/slack/locales/pl.pak
- opt/slack/locales/pt-BR.pak
- opt/slack/locales/pt-PT.pak
- opt/slack/locales/ro.pak
- opt/slack/locales/ru.pak
- opt/slack/locales/sk.pak
- opt/slack/locales/sl.pak
- opt/slack/locales/sr.pak
- opt/slack/locales/sv.pak
- opt/slack/locales/sw.pak
- opt/slack/locales/ta.pak
- opt/slack/locales/te.pak
- opt/slack/locales/th.pak
- opt/slack/locales/tr.pak
- opt/slack/locales/uk.pak
- opt/slack/locales/ur.pak
- opt/slack/locales/vi.pak
- opt/slack/locales/zh-CN.pak
- opt/slack/locales/zh-TW.pak
- opt/slack/resources/LICENSES.chromium.html
- opt/slack/resources/animal_stick.mp3
- opt/slack/resources/app.asar
- opt/slack/resources/app.asar.unpacked/dist/resources/slack-taskbar-highlight.ico
- opt/slack/resources/app.asar.unpacked/dist/resources/slack-taskbar-rest.ico
- opt/slack/resources/app.asar.unpacked/dist/resources/slack-taskbar-unread.ico
- opt/slack/resources/app.asar.unpacked/node_modules/@tinyspeck/native-keymap/build/Release/keymapping.node
- opt/slack/resources/app.asar.unpacked/node_modules/@tinyspeck/slack-desktop-utils/lib/binding/napi-v8/slackdesktoputils.node
- opt/slack/resources/app.asar.unpacked/node_modules/cf-prefs/build/Release/cf-prefs.node
- opt/slack/resources/app.asar.unpacked/node_modules/electron-native-auth/build/Release/electron_native_auth.node
- opt/slack/resources/app.asar.unpacked/node_modules/file-handler-info/build/Release/file_handler_info.node
- opt/slack/resources/app.asar.unpacked/node_modules/macos-notification-state/build/Release/notificationstate.node
- opt/slack/resources/app.asar.unpacked/node_modules/registry-js/build/Release/registry.node
- opt/slack/resources/app.asar.unpacked/node_modules/windows-focus-assist/build/Release/focusassist.node
- opt/slack/resources/app.asar.unpacked/node_modules/windows-notification-state/build/Release/notificationstate.node
- opt/slack/resources/b2.mp3
- opt/slack/resources/been_tree.mp3
- opt/slack/resources/boop.mp3
- opt/slack/resources/calls_alert_v2.mp3
- opt/slack/resources/calls_confirmation_v2.mp3
- opt/slack/resources/calls_incoming_ring_v2.mp3
- opt/slack/resources/calls_outgoing_ring_v2.mp3
- opt/slack/resources/calls_pop_v2.mp3
- opt/slack/resources/calls_they_joined_call_v2.mp3
- opt/slack/resources/calls_they_left_call_v2.mp3
- opt/slack/resources/calls_you_joined_call_v2.mp3
- opt/slack/resources/calls_you_left_call_v2.mp3
- opt/slack/resources/complete_quest_requirement.mp3
- opt/slack/resources/confirm_delivery.mp3
- opt/slack/resources/flitterbug.mp3
- opt/slack/resources/here_you_go_lighter.mp3
- opt/slack/resources/hi_flowers_hit.mp3
- opt/slack/resources/hummus.mp3
- opt/slack/resources/item_pickup.mp3
- opt/slack/resources/knock_brush.mp3
- opt/slack/resources/save_and_checkout.mp3
- opt/slack/resources/short_boop.mp3
- opt/slack/resources.pak
- opt/slack/slack
- opt/slack/snapshot_blob.bin
- opt/slack/v8_context_snapshot.bin
- opt/slack/version
- opt/slack/vk_swiftshader_icd.json
- usr/bin/slack
- usr/share/applications/slack.desktop
- usr/share/icons/hicolor/512x512/apps/slack.png
- usr/share/pixmaps/slack.png
- var/db/pkg/net-im/slack-bin-4.43.51/BUILD_TIME
- var/db/pkg/net-im/slack-bin-4.43.51/CATEGORY
- var/db/pkg/net-im/slack-bin-4.43.51/CBUILD
- var/db/pkg/net-im/slack-bin-4.43.51/CFLAGS
- var/db/pkg/net-im/slack-bin-4.43.51/CHOST
- var/db/pkg/net-im/slack-bin-4.43.51/CONTENTS
- var/db/pkg/net-im/slack-bin-4.43.51/COUNTER
- var/db/pkg/net-im/slack-bin-4.43.51/CTARGET
- var/db/pkg/net-im/slack-bin-4.43.51/CXX
- var/db/pkg/net-im/slack-bin-4.43.51/CXXFLAGS
- var/db/pkg/net-im/slack-bin-4.43.51/DEFINED_PHASES
- var/db/pkg/net-im/slack-bin-4.43.51/DESCRIPTION
- var/db/pkg/net-im/slack-bin-4.43.51/EAPI
- var/db/pkg/net-im/slack-bin-4.43.51/FEATURES
- var/db/pkg/net-im/slack-bin-4.43.51/HOMEPAGE
- var/db/pkg/net-im/slack-bin-4.43.51/INHERITED
- var/db/pkg/net-im/slack-bin-4.43.51/IUSE
- var/db/pkg/net-im/slack-bin-4.43.51/IUSE_EFFECTIVE
- var/db/pkg/net-im/slack-bin-4.43.51/KEYWORDS
- var/db/pkg/net-im/slack-bin-4.43.51/LDFLAGS
- var/db/pkg/net-im/slack-bin-4.43.51/LICENSE
- var/db/pkg/net-im/slack-bin-4.43.51/NEEDED
- var/db/pkg/net-im/slack-bin-4.43.51/NEEDED.ELF.2
- var/db/pkg/net-im/slack-bin-4.43.51/PF
- var/db/pkg/net-im/slack-bin-4.43.51/PROVIDES
- var/db/pkg/net-im/slack-bin-4.43.51/QA_PREBUILT
- var/db/pkg/net-im/slack-bin-4.43.51/RDEPEND
- var/db/pkg/net-im/slack-bin-4.43.51/REQUIRES
- var/db/pkg/net-im/slack-bin-4.43.51/RESTRICT
- var/db/pkg/net-im/slack-bin-4.43.51/SIZE
- var/db/pkg/net-im/slack-bin-4.43.51/SLOT
- var/db/pkg/net-im/slack-bin-4.43.51/USE
- var/db/pkg/net-im/slack-bin-4.43.51/environment.bz2
- var/db/pkg/net-im/slack-bin-4.43.51/repository
- var/db/pkg/net-im/slack-bin-4.43.51/slack-bin-4.43.51.ebuild
package_cacheimage: ""
runtime:
  name: slack-bin
  version: 4.43.51
  category: net-im
  use_flags:
  - -ayatana
  - -gnome-keyring
  requires:
  - name: atk
    version: '>=0'
    category: dev-libs
  - name: nss
    version: '>=0'
    category: dev-libs
  - name: gconf
    version: '>=0'
    category: gnome-base-2
  - name: alsa-lib
    version: '>=0'
    category: media-libs
  - name: curl
    version: '>=0'
    category: net-misc
  - name: cups
    version: '>=0'
    category: net-print
  - name: dbus
    version: '>=0'
    category: sys-apps
  - name: cairo
    version: '>=0'
    category: x11-libs
  - name: gdk-pixbuf
    version: '>=0'
    category: x11-libs-2
  - name: gtk+
    version: '>=0'
    category: x11-libs-3
  - name: libXScrnSaver
    version: '>=0'
    category: x11-libs
  - name: libXtst
    version: '>=0'
    category: x11-libs
  - name: libxkbfile
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Team collaboration tool
  uri:
  - http://www.slack.com/
  license: all-rights-reserved
  labels:
    IUSE: ayatana gnome-keyring pax_kernel abi_x86_64
    RDEPEND: dev-libs/atk:0[-mgorny(-)] dev-libs/expat:0[-mgorny(-)] dev-libs/glib:2[-mgorny(-)]
      dev-libs/nspr:0[-mgorny(-)] dev-libs/nss:0[-mgorny(-)] gnome-base/gconf:2[-mgorny(-)]
      media-libs/alsa-lib:0[-mgorny(-)] media-libs/fontconfig:1.0[-mgorny(-)] media-libs/freetype:2[-mgorny(-)]
      net-misc/curl:0[-mgorny(-)] net-print/cups:0[-mgorny(-)] sys-apps/dbus:0[-mgorny(-)]
      x11-libs/cairo:0[-mgorny(-)] x11-libs/gdk-pixbuf:2[-mgorny(-)] x11-libs/gtk+:3[-mgorny(-)]
      x11-libs/libX11:0[-mgorny(-)] x11-libs/libxcb:0/1.12[-mgorny(-)] x11-libs/libXcomposite:0[-mgorny(-)]
      x11-libs/libXcursor:0[-mgorny(-)] x11-libs/libXdamage:0[-mgorny(-)] x11-libs/libXext:0[-mgorny(-)]
      x11-libs/libXfixes:0[-mgorny(-)] x11-libs/libXi:0[-mgorny(-)] x11-libs/libxkbfile:0[-mgorny(-)]
      x11-libs/libXrandr:0[-mgorny(-)] x11-libs/libXrender:0[-mgorny(-)] x11-libs/libXScrnSaver:0[-mgorny(-)]
      x11-libs/libXtst:0[-mgorny(-)] x11-libs/pango:0[-mgorny(-)] ayatana? ( dev-libs/libappindicator:3[-mgorny(-)]
      ) gnome-keyring? ( app-crypt/libsecret )
    emerge.packages: net-im/slack-bin
    kit: desktop-kit
    original.package.name: net-im/slack-bin
    original.package.slot: "0"
    original.package.version: 4.43.51
